Package: java.util.Map

## Interface Entry

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Tuple2` | `toTuple()` Create a Tuple from the key and value of this Map Entry.

- - ### Methods Detail

    - #### public Tuple2 toTuple()

      Create a Tuple from the key and value of this Map Entry.

          assert [a:1, b:2, c:3]*.toTuple().toString() == '[[a, 1], [b, 2], [c, 3]]'
          assert [a:1, b:2, c:3].findAll(e -> e.toTuple().sum() != 'b2') == [a:1, c:3]

      Returns:
        a tuple containing the key and value.
      Since:
        5.0.0